<div class="table-register">
  <div class="title">
    <h4>Listado de Pokemon</h4>
  </div>
  <div class="search">
    <div>
      <app-primary-input
        [isRequired]="true" 
        [placeholder]="'Search...'"
        [errorMessage]="'Error'" 
        [label]="''" 
        [type]="'input-color-1'"
        [isDisabled]="false"
        [hasErrorMessage]="false"
        [labelIsDisabled]="true"
        (textOutput)="textOutputInput($event)"
      >
      </app-primary-input>
    </div>
    <div>
      <app-primary-button
        [customWidth]="'fit'"
        [type]="'reset-color-1'"
        [isDisabled]="false"
        (click)="goToRegister()"
      >
        Agregar
      </app-primary-button>
    </div>
  </div>
  <div class="container">
    <table>
      <thead>
        <tr>
          <th>
            <div class="th-style">
              Logo
            </div>
          </th>
          <th>
            <div class="th-style">
              Nombre del producto
            </div>
          </th>
          <th>
            <div class="th-style">
              <a>Descripción </a>
              <span class="material-symbols-outlined">
                info
              </span>
            </div>
          </th>
          <th>
            <div class="th-style">
              Fecha de Liberación
              <span class="material-symbols-outlined">
                info
              </span>
            </div>
          </th>
          <th>
            <div class="th-style">
              Fecha de reestructuración
              <span class="material-symbols-outlined">
                info
              </span>
            </div>
          </th>
          <th>
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let financeProduct of financeProductsList | searchFinanceProducts:filter">
          <td>
            <img src="{{financeProduct.logo}}" style="width: 30px;">
          </td>
          <td>{{financeProduct.name}}</td>
          <td>{{financeProduct.description}}</td>
          <td>{{financeProduct.date_release}}</td>
          <td>{{financeProduct.date_revision}}</td>
          <td>
            <span class="material-symbols-outlined" (click)="openDialog(financeProduct.id)">
              more_vert
            </span>
          </td>
        </tr>
      </tbody>
    </table>
    <div class="result">
      {{financeProductsList.length}} Resultados
    </div>
  </div>
</div>

<dialog id="my-dialog">
  <div class="modal">
    <button (click)="deleteById()">
      Eliminar
    </button>
    <button (click)="editById()">
      Editar
    </button>
  </div>
</dialog>
